@echo off
echo Setup not implemented yet.
goto end

set StartMenu=
rem Header
echo -----------------------
echo Setting up RFC++

rem Verify that the executable exists.
if not exist RFCPP.exe goto rfcNotFound

rem Copy to the start menu
reg query "HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders" /v "Start Menu"
if %errorlevel% == 1 goto :startMenuNotFound

for /f "usebackq tokens=2,3*" %%i in (`reg query "HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders" /v "Start Menu" ^| find "REG_SZ"`) do set StartMenu=%%k

Set StartMenu=%StartMenu%\Programs
rem Copy RFCPP.exe "%StartMenu%\"
echo %StartMenu%

goto end

:rfcNotFound
echo Run From Clipboard++ was not found.
echo If you are installing from a zip file then please extract all the files first.
goto end

:startMenuNotFound
echo Could not find the start menu location, please install manually.
goto end

:end
pause
